Test
get
Responses
200
Success
application/json
websitestring · nullableOptionalDefault:
https://fluxpoint.devdiscordstring · nullableOptionalDefault:
https://discord.gg/fluxpointdocsstring · nullableOptionalDefault:
https://docs.fluxpoint.dev/apiemailstring · nullableOptionalDefault:
support@fluxpoint.devdonatestring · nullableOptionalDefault:
https://patreon.com/fluxpointdevrevoltstring · nullableOptionalDefault:
https://app.revolt.chat/invite/J5Ras1J3endpointsstring · nullableOptionalDefault:
https://api.fluxpoint.dev/endpointsmessagestring · nullableOptionalDefault:
""successbooleanOptionalDefault:
truecodeinteger · int32OptionalDefault:
200get/
GET / HTTP/1.1
Host: api.fluxpoint.dev
Accept: */*
200
Success
{
"website": "https://fluxpoint.dev",
"discord": "https://discord.gg/fluxpoint",
"docs": "https://docs.fluxpoint.dev/api",
"email": "support@fluxpoint.dev",
"donate": "https://patreon.com/fluxpointdev",
"revolt": "https://app.revolt.chat/invite/J5Ras1J3",
"endpoints": "https://api.fluxpoint.dev/endpoints",
"message": "",
"success": true,
"code": 200
}Home
GET https://api.fluxpoint.dev/
Test if the API works.
Headers
Name
Type
Description
Test Gallery Image
GET https://api.fluxpoint.dev/test/gallery
Get a test gallery file response
Headers
Name
Type
Description
Test Image Generation
GET https://api.fluxpoint.dev/test/image
Get a test image data (raw bytes) to use with image generation. This will show a blue square.
Query Parameters
Name
Type
Description
type
(png/webp)
Optional image type to use, defaults to jpeg.
Headers
Name
Type
Description
This will send you raw image data (bytes) of a jpge image for a blue square.
You can also use ?type=png or ?type=webp to test image formats.

Test Error
GET https://api.fluxpoint.dev/test/error
Get a test error response to handle errors.
Headers
Name
Type
Description
Test Json
POST https://api.fluxpoint.dev/test/json
Respond back with the json content you have given to test API clients and placeholder formats
Headers
Name
Type
Description
Last updated